# Discourse

[![Build Status](https://build.coopcloud.tech/api/badges/coop-cloud/discourse/status.svg?ref=refs/heads/main)](https://build.coopcloud.tech/coop-cloud/discourse)

A platform for community discussion

<!-- metadata -->
* **Category**: Apps
* **Status**: 
* **Image**: [`bitnami/discourse`](https://hub.docker.com/r/bitname/discourse)
* **Healthcheck**: yes
* **Backups**: no
* **Email**: yes
* **Tests**: no
* **SSO**: no
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new discourse --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik

## To add a new Admin user

1. Login to the instance `abra app run APPNAME app sh`
2. `cd /opt/bitnami/discourse`
3. `RAILS_ENV=production bundle exec rake admin:create` and follow prompts.

## Install plugins

1. Login to instance `abra app run APPNAME app sh`
2. `cd /bitnami/discourse/plugins/`
3. `git clone plugingit` for example `https://github.com/discourse/discourse-openid-connect.git`
4. `abra app restart APPNAME app`

## Setup Notes

Until issue #1 is fixed, the default user is `user` and the default password is `bitnami123`
